class ProcExample
  def pass_in_block(&action)
    @stored_proc = action
  end

  def use_proc(parameter)
    @stored_proc.call(parameter)
  end
end

eg = ProcExample.new
eg.pass_in_block do |param|
  puts "The parameter is #{param}"
end
eg.use_proc(99)
eg.use_proc('Hello!')
