numbers = Enumerator.new do |yielder|
  number = 0
  count = 1
  loop do
    number += count
    count += 1
    yielder.yield number
  end
end
5.times { print numbers.next, " " }
puts
pp numbers.first(5)

numbers = Enumerator.new do |yielder|
  number = 0
  loop do
    number += 1
    yielder.yield number
  end
end.lazy

pp numbers.first(10)
pp numbers.select { |val| val % 10 == 0 }.first(5)
pp numbers.select { |val| (val % 3).zero? }.first(10)
